import request from '@/utils/request'

const getRegionList = function(params) {
    return request({
        url: '/manageArea/findPageList.do',
        method: 'get',
        params
    })
}

const addRegion = function(params) {
    return request({
        url: '/manageArea/add.do',
        method: 'get',
        params
    })
}

const updateRegion = function(params) {
    return request({
        url: '/manageArea/update.do',
        method: 'get',
        params
    })
}

const deleteRegion = function(params) {
    return request({
        url: '/manageArea/delete.do',
        method: 'get',
        params
    })
}

export default {
    getRegionList,
    addRegion,
    updateRegion,
    deleteRegion
}
